Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-9283

datachoices bundle missing quartz dependency

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 19.1.0
    • Fix Version/s: 19.1.0
    • Component/s: Build / Packaging
    • Security Level: Default (Default Security Scheme)
    • Labels:
      None
    • Sprint:
      Horizon - April 12th

      Description

      There's a bundle loading error in the datachoices feature because of a new Quartz dependency in opennms-web-api:

      2017-04-13 10:27:05,751 DEBUG org.opennms.opennms-web-api:19.0.0.SNAPSHOT(69) [FelixDispatchQueue] org.opennms.opennms-web-api: FrameworkEvent ERROR - org.opennms.opennms-web-api
      org.osgi.framework.BundleException: Unresolved constraint in bundle org.opennms.opennms-web-api [69]: Unable to resolve 69.0: missing requirement [69.0] osgi.wiring.package; (&(osgi.wiring.package=org.quartz
      .impl.matchers)(version>=2.2.0)(!(version>=3.0.0)))
              at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4002)[org.apache.felix.framework-4.4.1.jar:]
              at org.apache.felix.framework.Felix.startBundle(Felix.java:2045)[org.apache.felix.framework-4.4.1.jar:]
              at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1299)[org.apache.felix.framework-4.4.1.jar:]
              at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)[org.apache.felix.framework-4.4.1.jar:]
              at java.lang.Thread.run(Thread.java:745)[:1.8.0_112]
      

        Attachments

          Activity

            People

            • Assignee:
              seth Seth Leger
              Reporter:
              seth Seth Leger
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: